Bug 810162 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stedchris_40hotmail_2ecom at 0x9bdd80c>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:05e1accd4c17f841cba97020778...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 06:00 EDT by cstent
Modified: 2013-02-13 05:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:39:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cstent 2012-04-05 06:00:14 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.0-4.fc16.i686
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stedchris_40hotmail_2ecom at 0x9bdd80c>
time:           Thu 05 Apr 2012 12:50:08 EEST
uid:            1000
username:       cstent

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stedchris_40hotmail_2ecom at 0x9bdd80c>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stedchris_40hotmail_2ecom at 0x9bdd80c>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x9bdd3cc>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stedchris_40hotmail_2ecom at 0x9bdd80c>

smolt_data:
:
:
:General
:=================================
:UUID: 37c5309b-5a75-42ac-a04e-5c4108ca77f5
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: i686
:BogoMIPS: 3736.36
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU          6300  @ 1.86GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1862
:System Memory: 2968
:System Swap: 5023
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.0-4.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10656:4163:33258) pci, None, HOST/PCI, P5B
:(32902:10657:32902:10109) pci, pcieport, PCI/PCI, 82P965/G965 PCI Express Root Port
:(5772:28:5243:4147) pci, ath5k, ETHERNET, AirPace Wi-Fi
:(32902:10302:4163:33260) pci, None, SERIAL, P5B
:(32902:10272:4163:33260) pci, ata_piix, STORAGE, 82801H (ICH8 Family) 4 port SATA IDE Controller
:(32902:10256:4163:33260) pci, None, PCI/ISA, P5B
:(32902:10277:4163:33260) pci, ata_piix, STORAGE, 82801H (ICH8 Family) 2 port SATA IDE Controller
:(32902:9294:4163:33260) pci, None, PCI/PCI, 82801 PCI Bridge
:(6523:9059:4163:33252) pci, pata_jmicron, STORAGE, P5B [JMB363]
:(32902:10289:4163:33260) pci, uhci_hcd, USB, P5B
:(32902:10288:4163:33260) pci, uhci_hcd, USB, P5B
:(32902:10290:4163:33260) pci, uhci_hcd, USB, P5B
:(32902:10294:4163:33260) pci, ehci_hcd, USB, P5B
:(32902:10298:4163:33260) pci, ehci_hcd, USB, P5B
:(4332:33128:4163:33194) pci, r8169, ETHERNET, P5B
:(32902:10307:4163:33260) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
:(32902:10309:4163:33260) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10303:4163:33260) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10311:4163:33260) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
:(32902:10315:4163:33260) pci, snd_hda_intel, MULTIMEDIA, P5B
:(32902:10292:4163:33260) pci, uhci_hcd, USB, P5B
:(32902:10293:4163:33260) pci, uhci_hcd, USB, P5B
:(4318:914:4163:33300) pci, nouveau, VIDEO, G73 [GeForce 7600 GS]
:(6523:9059:4163:33252) pci, ahci, STORAGE, P5B [JMB363]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_newton-lv_root / ext4 4096 4096 13092026 10319748 10188716 3276800 2994209 2994209
:/dev/sda3 /boot ext4 1024 1024 508745 412292 386692 128016 127782 127782
:/dev/mapper/vg_newton-lv_home /home ext4 4096 4096 53314604 48496438 45827485 13344768 13291533 13291533
:
Comment 1 Fedora End Of Life 2013-01-16 06:22:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:39:40 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.